# Package org.apache.ivy.plugins.conflict

Interface Summary
Interface | Description
--- | ---
ConflictManager |

Class Summary
Class | Description
--- | ---
AbstractConflictManager |
FixedConflictManager |
LatestCompatibleConflictManager | This conflict manager can be used to allow only compatible dependencies to be used together (like the strict conflict manager), but it has the advantage of using a best effort algorithm to find a set of compatible dependencies, even if it requires stepping back to older revisions (as long as they are in the set of compatibility).
LatestConflictManager |
LatestConflictManager.IvyNodeArtifactInfo |
NoConflictManager |
RegexpConflictManager | A ConflictManager that can be used to resolve conflicts based on regular expressions of the revision of the module.
StrictConflictManager |

Exception Summary
Exception | Description
--- | ---
LatestConflictManager.NoConflictResolvedYetException |
StrictConflictException |